openSUSE-SU-2021:0542-1: moderate: Security update for tpm2-tss-engine

openSUSE Security Update: Security update for tpm2-tss-engine______________________________________________________________________________Announcement ID: openSUSE-SU-2021:0542-1Rating: moderateReferences: #1183895 Affected Products: openSUSE Leap 15.2______________________________________________________________________________ An update that contains security fixes can now be installed.Description: This update for tpm2-tss-engine fixes the following issues: - Added support to disable fixed compilation flags - Added --disable-defaultflags during compilation to avoid breakage of our gcc-PIE profile (resulted in non-position-independent executable tpm2-tss-genkey, bsc#1183895) This update was imported from the SUSE:SLE-15-SP2:Update update project.Patch Instructions: To install this openSUSE Security Update use the SUSE recommended installation methods like YaST online_update or “zypper patch”. Alternatively you can run the command listed for your product: - openSUSE Leap 15.2: zypper in -t patch openSUSE-2021-542=1Package List: - openSUSE Leap 15.2 (noarch): tpm2-tss-engine-bash-completion-1.0.1-lp152.3.3.1 - openSUSE Leap 15.2 (x86_64): tpm2-tss-engine-1.0.1-lp152.3.3.1 tpm2-tss-engine-debuginfo-1.0.1-lp152.3.3.1 tpm2-tss-engine-debugsource-1.0.1-lp152.3.3.1 tpm2-tss-engine-devel-1.0.1-lp152.3.3.1References: https://bugzilla.suse.com/1183895

More…